| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | List of all members
Tp::Service::ChannelInterfacePasswordAdaptor Class Reference
Service-side implementation » Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inheritance diagram for Tp::Service::ChannelInterfacePasswordAdaptor:
[legend]

## Public Slots

uint | GetPasswordFlags (const QDBusMessage &dbusMessage)
bool | ProvidePassword (const QString &password, const QDBusMessage &dbusMessage)

## Signals

void | PasswordFlagsChanged (uint added, uint removed)

## Additional Inherited Members

Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Password".

## Member Function Documentation

## § GetPasswordFlags

uint Tp::Service::ChannelInterfacePasswordAdaptor::GetPasswordFlags | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `GetPasswordFlags` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getPasswordFlags(const Tp::Service::ChannelInterfacePasswordAdaptor::GetPasswordFlagsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Returns the bitwise-OR of the flags relevant to the password on this channel. The user interface can use this to present information about which operations are currently valid.

Returns

      An integer with the logical OR of all the flags set (values of
      ChannelPasswordFlags)

## § ProvidePassword

bool Tp::Service::ChannelInterfacePasswordAdaptor::ProvidePassword | ( | const QString & | password,
|  | const QDBusMessage & | dbusMessage
| ) |  |

slot

Begins a call to the exported D-Bus method `ProvidePassword` on this object.

Adaptees should export this method as a Qt slot with the following signature: void providePassword(const QString& password, const Tp::Service::ChannelInterfacePasswordAdaptor::ProvidePasswordContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Provide the password so that the channel can be joined. Must be called with the correct password in order for channel joining to proceed if the 'provide' password flag is set.

Parameters

  password

      The password

Returns

      A boolean indicating whether or not the password was correct

## § PasswordFlagsChanged

void Tp::Service::ChannelInterfacePasswordAdaptor::PasswordFlagsChanged | ( | uint | added,
|  | uint | removed
| ) |  |

signal

Represents the exported D-Bus signal `PasswordFlagsChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void passwordFlagsChanged(uint added, uint removed);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  added

      A bitwise OR of the flags which have been set

  removed

      A bitwise OR of the flags which have been cleared